Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.api
[Groovy] Class FileContentMerger

    java.lang.Object
      org.gradle.plugins.ide.api.FileContentMerger

    class FileContentMerger
    extends java.lang.Object

Models the generation/parsing/merging capabilities.

For examples see docs for EclipseProject or IdeaProject and others. @author: Szczepan Faber, created at: 4/21/11

Property Summary
`org.gradle.listener.ActionBroadcast` | `beforeMerged`
`org.gradle.listener.ActionBroadcast` | `whenMerged`

Method Summary
`void` | `beforeMerged(groovy.lang.Closure closure)` Adds a closure to be called after content is loaded from existing file but before gradle build information is merged
`void` | `whenMerged(groovy.lang.Closure closure)` Adds a closure to be called after content is loaded from existing file and after gradle build information is merged

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### beforeMerged

    org.gradle.listener.ActionBroadcast beforeMerged

### whenMerged

    org.gradle.listener.ActionBroadcast whenMerged

Method Detail

### beforeMerged

    void beforeMerged(groovy.lang.Closure closure)

  Adds a closure to be called after content is loaded from existing file but before gradle build information is merged

  This is advanced api that gives access to internal implementation. It might be useful if you want to alter the way gradle build information is merged into existing file content

  For examples see docs for EclipseProject or IdeaProject and others.

  Parameters:
    `closure` - The closure to execute.

### whenMerged

    void whenMerged(groovy.lang.Closure closure)

  Adds a closure to be called after content is loaded from existing file and after gradle build information is merged

  This is advanced api that gives access to internal implementation of idea plugin. Use it only to tackle some tricky edge cases.

  For examples see docs for EclipseProject or IdeaProject and others.

  Parameters:
    `closure` - The closure to execute.

Groovy Documentation